<?php
	require_once("../config/connect.php");
	require_once("../config/pageConfig.php");
	require_once("../global_functions.php");
	require_once("../ajax_funktionen.php");

	function liste_lieferscheine()
	{
		$sql=mysql_query("SELECT * FROM lieferschein_referenz ORDER by lieferschein_id DESC LIMIT 3");
		echo "<TABLE>";
		echo "<TR>";
			echo "<TD> Lieferschein </TD>";
			echo "<TD> Datum </TD>";
			echo "</TR>";
		while ($row=mysql_fetch_assoc($sql))
		{
			echo "<TR>";
			echo "<TD><a href='".$_SERVER['PHP_SELF']."?ls_nr=".$row['lieferschein_id']."'>".$row['lieferschein_id']."</a></TD>";
			echo "<TD>".$row['lieferschein_erstellt_datum']."</TD>";
			echo "</TR>";
		}
		echo "</TABLE>";
		
	}
	
	function edit_ls_funktion()
	{
		$sql=mysql_query("SELECT * from pdf_a4_rechnung WHERE name='lieferschein_template_a4'");
		$row=mysql_fetch_assoc($sql);
		$ls_funktion=$row['a4_template'];
		echo "<FORM action='".$_SERVER['PHP_SELF']."' method=POST>";
		echo "LS Funktion:<textarea style='display: box; width:90%; height:50%; overflow-x: scroll' name='ls_funktion' id='ls_funktion'>" . $ls_funktion . "</textarea>";

		echo "<input type='submit' value='Speichern'>";
		echo "</FORM>";
		
	}
	
	if (isset($_REQUEST['ls_nr']))
	{
		$ls_nr=$_REQUEST['ls_nr'];
		a4_lieferschein_drucken($ls_nr);
		
	}
	
	if (isset($_REQUEST['rechnung_nr']))
	{
		$rechnung_nr=$_REQUEST['rechnung_nr'];
		$printRes=bon_ausdrucken_a4_pdf($rechnung_nr, false, 'nonAjax');
		$filename = $printRes[2];
		echo "Dateiname: $filename";
		
			echo "<script>window.open('".mysql_real_escape_string($filename)."', '_blank')</script>";
	}
	
	if (isset($_REQUEST['ls_funktion']))
	{
		$ls_funktion=$_REQUEST['ls_funktion'];
		$ls_funktion = mysql_real_escape_string($ls_funktion);
		mysql_query("UPDATE pdf_a4_rechnung SET a4_template='".$ls_funktion."' WHERE name='lieferschein_template_a4'");
		//echo $ls_funktion;
	}
	
	if (isset($_REQUEST['rechnung_funktion']))
	{
		$rechnung_funktion=$_REQUEST['rechnung_funktion'];
		$rechnung_funktion = mysql_real_escape_string($rechnung_funktion);
		mysql_query("UPDATE pdf_a4_rechnung SET a4_template='".$rechnung_funktion."' WHERE name='rechnungs_template_a4'");
	}
	
	liste_lieferscheine();
	
	edit_ls_funktion();
	
	
	function liste_rechnungen()
	{
		$sql=mysql_query("SELECT * FROM abgeschlossener_bon ORDER by bon_id DESC LIMIT 3");
		echo "<TABLE>";
		echo "<TR>";
			echo "<TD> Lieferschein </TD>";
			echo "<TD> Datum </TD>";
			echo "</TR>";
		while ($row=mysql_fetch_assoc($sql))
		{
			echo "<TR>";
			echo "<TD><a href='".$_SERVER['PHP_SELF']."?rechnung_nr=".$row['bon_id']."'>".$row['bon_id']."</a></TD>";
			echo "<TD>".$row['bon_erstellt_datum']."</TD>";
			echo "</TR>";
		}
		echo "</TABLE>";
		
	}
	function edit_rechnung_funktion()
	{
		$sql=mysql_query("SELECT * from pdf_a4_rechnung WHERE name='rechnungs_template_a4'");
		$row=mysql_fetch_assoc($sql);
		$ls_funktion=$row['a4_template'];
		echo "<FORM action='".$_SERVER['PHP_SELF']."' method=POST>";
		echo "LS Funktion:<textarea style='display: box; width:90%; height:50%; overflow-x: scroll' name='rechnung_funktion' id='rechnung_funktion'>" . $ls_funktion . "</textarea>";

		echo "<input type='submit' value='Speichern'>";
		echo "</FORM>";
		
	}
	
	liste_rechnungen();
	edit_rechnung_funktion();
	//a4_lieferschein_drucken(14);
?>
